Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Attributes | List of all members
TimeRange Class Reference
Inheritance diagram for TimeRange:

## Public Member Functions
| __init__ (self, parent, rangesize, startFrame, endFrame, sliderStartFrame, sliderEndFrame)
| DrawTimeRange (self, dc)
| InitBuffer (self)
| MainPanelUpdate (self)
| OnLeftDown (self, evt)
| OnLeftUp (self, evt)
| OnMotion (self, evt)
| OnPaint (self, evt)
| OnSize (self, evt)
| SetTimeRangeData (self, startFrame=1, endFrame=24, sliderStartFrame=1, sliderEndFrame=24)

## Public Attributes
| buffer = wx.EmptyBitmap(self.w, self.h)
| curRect = wx.Rect(self.rangePosX, self.rangePosY, self.rangeWidth, self.rangeHeight)
| endFrame = endFrame
int | frameNum = self.endFrame-self.startFrame+1
| h = self.GetClientSize()
| OnLeftDown
| OnLeftUp
| OnMotion
| OnPaint
| OnSize
int | pos = 0
float | rangeHeight = self.h-4.0
float | rangePosX = 3.0+(float(self.sliderStartFrame-self.startFrame))*self.unitWidth
float | rangePosY = 2.0
tuple | rangeWidth = float(self.sliderEndFrame-self.sliderStartFrame+1)*self.unitWidth
| sliderEndFrame = sliderEndFrame
| sliderStartFrame = sliderStartFrame
| startFrame = startFrame
tuple | unitWidth = (self.w-6.0)/float(self.frameNum)
| w

## Protected Attributes
| _mainDialog = wx.GetTopLevelParent(self)
bool | _mouseIn = False

## Detailed Description

    This is the Time Range Panel.

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | parent,
|  |  | rangesize,
|  |  | startFrame,
|  |  | endFrame,
|  |  | sliderStartFrame,
|  |  | sliderEndFrame )

## Member Function Documentation

## ◆ DrawTimeRange()

DrawTimeRange | ( |  | self,
|  |  | dc )

## ◆ InitBuffer()

InitBuffer | ( |  | self | ) |

## ◆ MainPanelUpdate()

MainPanelUpdate | ( |  | self | ) |

## ◆ OnLeftDown()

OnLeftDown | ( |  | self,
|  |  | evt )

## ◆ OnLeftUp()

OnLeftUp | ( |  | self,
|  |  | evt )

## ◆ OnMotion()

OnMotion | ( |  | self,
|  |  | evt )

## ◆ OnPaint()

OnPaint | ( |  | self,
|  |  | evt )

## ◆ OnSize()

OnSize | ( |  | self,
|  |  | evt )

## ◆ SetTimeRangeData()

SetTimeRangeData | ( |  | self,
|  |  | startFrame = 1,
|  |  | endFrame = 24,
|  |  | sliderStartFrame = 1,
|  |  | sliderEndFrame = 24 )

## Member Data Documentation

## ◆ _mainDialog

_mainDialog = wx.GetTopLevelParent(self)
| protected

## ◆ _mouseIn

bool _mouseIn = False
| protected

## ◆ buffer

buffer = wx.EmptyBitmap(self.w, self.h)

## ◆ curRect

curRect = wx.Rect(self.rangePosX, self.rangePosY, self.rangeWidth, self.rangeHeight)

## ◆ endFrame

endFrame = endFrame

## ◆ frameNum

int frameNum = self.endFrame-self.startFrame+1

## ◆ h

h = self.GetClientSize()

## ◆ OnLeftDown

OnLeftDown

## ◆ OnLeftUp

OnLeftUp

## ◆ OnMotion

OnMotion

## ◆ OnPaint

OnPaint

## ◆ OnSize

OnSize

## ◆ pos

int pos = 0

## ◆ rangeHeight

float rangeHeight = self.h-4.0

## ◆ rangePosX

float rangePosX = 3.0+(float(self.sliderStartFrame-self.startFrame))*self.unitWidth

## ◆ rangePosY

float rangePosY = 2.0

## ◆ rangeWidth

tuple rangeWidth = float(self.sliderEndFrame-self.sliderStartFrame+1)*self.unitWidth

## ◆ sliderEndFrame

sliderEndFrame = sliderEndFrame

## ◆ sliderStartFrame

sliderStartFrame = sliderStartFrame

## ◆ startFrame

startFrame = startFrame

## ◆ unitWidth

tuple unitWidth = (self.w-6.0)/float(self.frameNum)

## ◆ w

w